Debian Bug report logs - #359654
gcjwebplugin: Please support runtime selection of Java VM

version graph

Package: gcjwebplugin; Maintainer for gcjwebplugin is (unknown);

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Tue, 28 Mar 2006 09:33:12 UTC

Severity: normal

Tags: fixed-in-experimental, patch

Found in version gcjwebplugin/0.3.2-1

Fixed in version classpath/2:0.92-1

Done: Michael Koch <konqueror@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Koch <konqueror@gmx.de>:
Bug#359654; Package gcjwebplugin. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Michael Koch <konqueror@gmx.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: gcjwebplugin: Please support runtime selection of Java VM
Date: Tue, 28 Mar 2006 11:25:20 +0200
Package: gcjwebplugin
Version: 0.3.2-1
Severity: normal
Tags: patch

When configuring gcjwebplugin without the native viewer, the java VM
used is hardcoded into the gcjappletviewer program.  This make it
harder to select java VM at runtime.  I want to be able to select Java
VM at runtime to test if bugs are fixed in the various VMs.

This patch changes the perl-version of gcjappletviewer to use the JAVA
environment variable if it exist to select Java VM.  When I configure
like this

  ./configure --disable-native-viewer

I am able to select jvm by calling the program like this (including
random test URL):

 JAVA=cacao gcjappletviewer  http://elib.cs.berkeley.edu/gis/examples/world.html

This patch is also sent upstream.  Please apply it to the debian
package, and add --disable-native-viewer to DEB_CONFIGURE_USER_FLAGS
in debian/rules to make this runtime jvm selection work in the default
package.

--- gcjwebplugin-0.3.2.orig/src/gcjappletviewer.in
+++ gcjwebplugin-0.3.2/src/gcjappletviewer.in
@@ -2,7 +2,7 @@

 use strict;

-my $JAVA = '@JAVA@';
+my $JAVA = $ENV{'JAVA'} || '@JAVA@';
 my $MAINCLASS = 'gnu.gcjwebplugin.AppletViewer';
 my $PREFIX = '@prefix@';
 my $GCJAPPLETVIEWER_CLASSPATH = "$PREFIX/share/java/gcjappletviewer.jar";

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-386
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages gcjwebplugin depends on:
ii  gij-4.0                       4.0.3-1    The GNU Java bytecode interpreter
ii  libc6                         2.3.6-4    GNU C Library: Shared libraries an
ii  libgcc1                       1:4.0.3-1  GCC support library
ii  libgcj6                       4.0.3-1    Java runtime library for use with
ii  libgcj6-awt                   4.0.3-1    AWT peer runtime libraries for use
ii  libglib2.0-0                  2.10.1-2   The GLib library of C routines
ii  libstdc++6                    4.0.3-1    The GNU Standard C++ Library v3

Versions of packages gcjwebplugin recommends:
ii  links [www-browser]     0.99+1.00pre12-1 Character mode WWW browser
ii  lynx [www-browser]      2.8.5-2sarge1    Text-mode WWW Browser
ii  mozilla-browser [www-br 2:1.7.12-1.1     The Mozilla Internet application s
ii  w3m [www-browser]       0.5.1-4          WWW browsable pager with excellent

-- no debconf information



Tags added: pending Request was from Michael Koch <konqueror@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Michael Koch <konqueror@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Koch <konqueror@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 359654-close@bugs.debian.org (full text, mbox):

From: Michael Koch <konqueror@gmx.de>
To: 359654-close@bugs.debian.org
Subject: Bug#359654: fixed in classpath 2:0.92-1
Date: Sun, 10 Sep 2006 04:52:06 -0700
Source: classpath
Source-Version: 2:0.92-1

We believe that the bug you reported is fixed in the latest version of
classpath, which is due to be installed in the Debian FTP archive:

classpath-common-unzipped_0.92-1_all.deb
  to pool/main/c/classpath/classpath-common-unzipped_0.92-1_all.deb
classpath-common_0.92-1_all.deb
  to pool/main/c/classpath/classpath-common_0.92-1_all.deb
classpath-doc_0.92-1_all.deb
  to pool/main/c/classpath/classpath-doc_0.92-1_all.deb
classpath-gtkpeer_0.92-1_i386.deb
  to pool/main/c/classpath/classpath-gtkpeer_0.92-1_i386.deb
classpath-qtpeer_0.92-1_i386.deb
  to pool/main/c/classpath/classpath-qtpeer_0.92-1_i386.deb
classpath_0.92-1.diff.gz
  to pool/main/c/classpath/classpath_0.92-1.diff.gz
classpath_0.92-1.dsc
  to pool/main/c/classpath/classpath_0.92-1.dsc
classpath_0.92-1_i386.deb
  to pool/main/c/classpath/classpath_0.92-1_i386.deb
classpath_0.92.orig.tar.gz
  to pool/main/c/classpath/classpath_0.92.orig.tar.gz
gcjwebplugin_0.92-1_i386.deb
  to pool/main/c/classpath/gcjwebplugin_0.92-1_i386.deb
jikes-classpath_0.92-1_all.deb
  to pool/main/c/classpath/jikes-classpath_0.92-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 359654@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Koch <konqueror@gmx.de> (supplier of updated classpath package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  9 Sep 2006 07:39:01 +0000
Source: classpath
Binary: classpath-qtpeer classpath-gtkpeer gcjwebplugin classpath-doc classpath-common-unzipped classpath-common classpath jikes-classpath
Architecture: source all i386
Version: 2:0.92-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Michael Koch <konqueror@gmx.de>
Description: 
 classpath  - clean room standard Java libraries
 classpath-common - clean room standard Java libraries - architecture independent fil
 classpath-common-unzipped - clean room standard Java libraries - architecture independent fil
 classpath-doc - clean room standard Java libraries - free Java API documentation
 classpath-gtkpeer - clean room standard Java libraries - GTK AWT peer
 classpath-qtpeer - clean room standard Java libraries - QT AWT peer
 gcjwebplugin - web browser plugin to execute Java (tm) applets
 jikes-classpath - clean room standard Java libraries - wrapper for jikes
Closes: 266906 267040 275245 290498 301134 336773 351518 357830 359654 369979 372851 373791 384354 385369
Changes: 
 classpath (2:0.92-1) unstable; urgency=low
 .
   * New upstream release (Closes: #385369, #384354).
     - Adjusted debian/patches/10_appletviewer.dpatch to patch gappletviewer.
   * debian/control: Don't Build-Depends on cdbs.
 .
 classpath (2:0.91+cvs20060611-2) experimental; urgency=low
 .
   * Honors disabled Java setting in Firefox (Closes: #266906).
   * debian/control: Moved gcjwebplugin to Section: net.
   * debian/control: Don't Build-Depends on sound dependencies on kfreebsd-i386,
     kfreebsd-amd64 and hurd-i386.
   * debian/rules: Enable sound support only on linux (Closes: #372851).
   * debian/README.Debian: Removed description for enabling Graphics2D support.
     It's used by default now.
   * debian/control: Build-Depends on libxul-dev (Closes: #373791).
 .
 classpath (2:0.91+cvs20060611-1) experimental; urgency=low
 .
   * New upstream release
     - Shows warning before loading an applet (Closes: #267040, #301134).
     - New package Depends on jamvm or cacao (Closes: #369979).
     - Crashes with Firefox are not reproducable anymore
       (Closes: #290498, #336773).
     - Starts up with Firefox (Closes: #275245).
     - Fixes NullPointerException during applet loading (Closes: #351518).
     - Fixes deadlock in image drawing code (Closes: #357830).
   * debian/control: New package gcjwebplugin
   * debian/gcjwebplugin.links, debian/gcjwebplugin.install: New files.
   * debian/classpath-common-unzipped.install: Install classes in sun.*
     namespace.
   * debian/classpath.install: Don't install new appletviewer binary.
   * debian/patches/appletviewer.patch: Added runtime selection to
     appletviewer (Closes: #359654).
Files: 
 3214d5a31b24ff0bc9a275b5d5f5ef69 1340 libs optional classpath_0.92-1.dsc
 4603ef3e593713d94788b919bc0b6c75 9161101 libs optional classpath_0.92.orig.tar.gz
 d87b041976c9eedbe3f90d4ca63ddb43 12895 libs optional classpath_0.92-1.diff.gz
 d8f6baa70301c60c339a09f053077d64 8154784 libs optional classpath-common_0.92-1_all.deb
 b770a71a1790fcf585ae91e9809ce90c 5744344 libs optional classpath-common-unzipped_0.92-1_all.deb
 9938f60cd3e289996c5cc31bc1c31b9f 28912296 doc optional classpath-doc_0.92-1_all.deb
 eef6d450ae09cae745ab0b5ac62f9ff8 232438 libs optional jikes-classpath_0.92-1_all.deb
 a2cf937f3813efdb7d149c21aebb57c9 353948 libs optional classpath_0.92-1_i386.deb
 8e5598d8aa71024f58da23d8aed90bf9 310486 libs optional classpath-gtkpeer_0.92-1_i386.deb
 c8990676e1716b76aac076881c636b7d 310944 libs optional classpath-qtpeer_0.92-1_i386.deb
 6982960c5ff98ea72badd5b3ed62cf3f 244102 net optional gcjwebplugin_0.92-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFAu/lWSOgCCdjSDsRAqnTAJ4pTrSMbyEH6KL4WMvb03lrlDgPuQCeI6t+
lhUbTi0yB8lKlFK+i8JQwpQ=
=/7hg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 22:14:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:50:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.